 function limpiarFrase(lineIdx) {

    const slots = document.querySelectorAll(`.word-slot[data-line="${lineIdx}"]`);



    // Primero limpia userAnswers para que al contar se considere que no hay palabras usadas

    userAnswers[lineIdx] = [];



    // Reactiva todos los botones para esa frase

    blanks[lineIdx].words.forEach(word => {

      disableWordButton(lineIdx, word, false); // Reactiva botones

    });



    // Limpia visualmente los slots

    for (let i = 0; i < slots.length; i++) {

      slots[i].textContent = '___';

      slots[i].classList.remove('filled');

      slots[i].classList.add('empty');

    }



    clearFeedback(lineIdx);

  }
